#
# spec file for package xlsclients
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xlsclients
Version:        1.1.3
Release:        lp152.3.5
Summary:        Utility to list client applications running on a X11 server
License:        X11
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xlsclients is a utility for listing information about the client
applications running on a X11 server.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xlsclients
%{_mandir}/man1/xlsclients.1%{?ext_man}

%changelog
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.1.3:
  + Fix deconstification warnings from gcc.
  + Add -version flag to print version from PACKAGE_STRING.
  + Give unique names to the two reply variables in child_info.
  + configure.ac: regroup statements and comment.
  + Add missing AC_CONFIG_SRCDIR([Makefile.am]).
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xlsclients from xorg-x11. Initial version: 1.1.2.
